Adobe CS4 Will Be Compatible With Snow Leopard, But Who Knows About CS3

Here's Adobe's message behind their Adobe CS4/Snow Leopard compatibility report: please buy Adobe CS4 and stop using Adobe CS3.

To make a long story short, Adobe says that they've tested CS4 compatibility with SL and it doesn't need any software updates to be compatible with the new OS. But CS3?

Older versions of Adobe creative software were not included in our testing efforts.

In other words, they don't give enough of a shit to even test it. Even if anybody thought enough to throw the disc in to "see what happened", the results weren't included in this report.

That's about all the FAQ says. Except that it takes two pages to do so. [Adobe]